org.apache.poi.hemf.record.emf

## Enum HemfComment.EmfFormatSignature

- java.lang.Object
- - java.lang.Enum<HemfComment.EmfFormatSignature>
  - - org.apache.poi.hemf.record.emf.HemfComment.EmfFormatSignature

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HemfComment.EmfFormatSignature>
  Enclosing class:
    HemfComment

      public static enum HemfComment.EmfFormatSignature
      extends java.lang.Enum<HemfComment.EmfFormatSignature>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ENHMETA_SIGNATURE` The value of this member is the sequence of ASCII characters "FME ", which happens to be the reverse of the string "EMF", and it denotes EMF record data.
    `EPS_SIGNATURE` The value of this member is the sequence of ASCII characters "FSPE", which happens to be the reverse of the string "EPSF", and it denotes encapsulated PostScript (EPS) format data.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HemfComment.EmfFormatSignature` | `getById(int id)`
    `static HemfComment.EmfFormatSignature` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HemfComment.EmfFormatSignature[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ENHMETA_SIGNATURE

          public static final HemfComment.EmfFormatSignature ENHMETA_SIGNATURE

      The value of this member is the sequence of ASCII characters "FME ", which happens to be the reverse of the string "EMF", and it denotes EMF record data.

    - #### EPS_SIGNATURE

          public static final HemfComment.EmfFormatSignature EPS_SIGNATURE

      The value of this member is the sequence of ASCII characters "FSPE", which happens to be the reverse of the string "EPSF", and it denotes encapsulated PostScript (EPS) format data.

  - ### Method Detail

    - #### values

          public static HemfComment.EmfFormatSignature[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HemfComment.EmfFormatSignature c : HemfComment.EmfFormatSignature.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HemfComment.EmfFormatSignature valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getById

          public static HemfComment.EmfFormatSignature getById(int id)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.